cputypes.d(1m)

NAME
cputypes.d - list CPU types. Uses DTrace.

SYNOPSIS
cputypes.d

DESCRIPTION
This program lists CPU type information for the online CPUs in the system. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

List CPU types,
    # cputypes.d

FIELDS

CPU CPU ID

CHIP
    chip ID

PSET
    processor set ID

LGRP
    latency group ID

CLOCK
    clock speed, MHz

TYPE
    CPU type

FPU floating point identifier type

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
psrinfo(1M), dtrace(1M)